OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
StepData

# StepData_SelectArrReal Class Reference

`#include <StepData_SelectArrReal.hxx>`

Inheritance diagram for StepData_SelectArrReal:

[legend]

## Public Member Functions
Standard_EXPORT | StepData_SelectArrReal ()
virtual Standard_EXPORT Standard_Integer | Kind () const
Standard_EXPORT Handle_TColStd_HArray1OfReal | ArrReal () const
Standard_EXPORT void | SetArrReal (const Handle(TColStd_HArray1OfReal)&arr)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfReal | theArr

## Constructor & Destructor Documentation

Standard_EXPORT StepData_SelectArrReal::StepData_SelectArrReal | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TColStd_HArray1OfReal StepData_SelectArrReal::ArrReal | ( |  | ) | const

Standard_EXPORT const StepData_SelectArrReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectNamed. Reimplemented in StepFEA_SymmetricTensor23dMember, and StepFEA_SymmetricTensor43dMember.

virtual Standard_EXPORT Standard_Integer StepData_SelectArrReal::Kind | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectNamed.

Standard_EXPORT void StepData_SelectArrReal::SetArrReal | ( | const Handle(TColStd_HArray1OfReal)& | arr | ) |

## Field Documentation

Handle_TColStd_HArray1OfReal StepData_SelectArrReal::theArr`[private]`

The documentation for this class was generated from the following file:

- StepData_SelectArrReal.hxx